//! Minimal Windows definitions used all over the place.

use super::*;

pub use winapi::shared::minwindef::{ATOM, HINSTANCE, HLOCAL, HMODULE, TRUE};

/// Newtype of [`ATOM`](winapi::shared::minwindef::ATOM).
///
/// This helps you avoid accidentally mixing an `ATOM` with other `u16`
/// values, but otherwise has no additional semantics.
#[repr(transparent)]
#[derive(Debug, Clone, Copy, Default, PartialEq, Eq)]
pub struct Atom(pub ATOM);
